export function setChromeStorage(params) {
    chrome.storage.local.set(params)
}

export function getChromeStorage(key = '',callback) {
    let params = {}
    params[key] = ''
    chrome.storage.local.get(params, (item) => {
        if (item[key]) {
            callback(JSON.parse(item[key]))
        }else{
            callback(null)
        }
    });
}

export function setStorage(key, value) {
    return localStorage.setItem(key, JSON.stringify(value));
}

export function getStorage(key) {
    const item = localStorage.getItem(key);
    try {
        return item ? JSON.parse(item) : '';
    } catch (e) {
        return item;
    }
}